import { axios } from '@/utils/request'

// 获取货架列表数据
export const bondRecordByPage = params => {
  const url = `/shelf/bondRecord/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

// 保证金详情
export const bondRecordDetail = params => {
  return axios({
    url: `/shelf/bondRecord/queryBySn/${params.bondRecordSn}`,
    data: params,
    method: 'post'
  })
}

// 新增/编辑保证金接口
export const saveBondRecord = params => {
  return axios({
    url: '/shelf/bondRecord/save',
    data: params,
    method: 'POST'
  })
}

// 保证金列表（无分页）
export const bondRecordList = params => {
  const url = `/shelf/bondRecord/queryListByShelfSn/${params.shelfSn}`
  return axios({
    url: url,
    data: {},
    method: 'get'
  })
}
// 删除保证金
export const bondRecordDel = params => {
  return axios({
    url: `/shelf/bondRecord/deleteBySn/${params.bondRecordSn}`,
    data: params,
    method: 'post'
  })
}
